Retrieves the accounts.
curl --request GET \
--url https://api.example.com/api/accounts \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/accounts"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"organization-id: <organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("organization-id", "<organization-id>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/accounts")
.header("Authorization", "<authorization>")
.header("organization-id", "<organization-id>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["organization-id"] = '<organization-id>'
response = http.request(request)
puts response.read_body[
{
"id": 1,
"name": "Cash Account",
"slug": "cash-account",
"code": "1001",
"index": 1,
"accountType": "bank",
"accountTypeLabel": "Bank Account",
"parentAccountId": null,
"predefined": false,
"currencyCode": "USD",
"active": true,
"bankBalance": 5000,
"bankBalanceFormatted": "$5,000.00",
"lastFeedsUpdatedAt": "2024-03-20T10:30:00Z",
"lastFeedsUpdatedAtFormatted": "Mar 20, 2024 10:30 AM",
"amount": 5000,
"formattedAmount": "$5,000.00",
"plaidItemId": "plaid-item-123",
"plaidAccountId": "plaid-account-456",
"isFeedsActive": true,
"isSyncingOwner": true,
"isFeedsPaused": false,
"accountNormal": "debit",
"accountNormalFormatted": "Debit",
"flattenName": "Assets: Cash Account",
"accountLevel": 2,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:30:00Z"
}
]Accounts
Retrieves the accounts.
GET
/
api
/
accounts
Retrieves the accounts.
curl --request GET \
--url https://api.example.com/api/accounts \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/accounts"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"organization-id: <organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("organization-id", "<organization-id>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/accounts")
.header("Authorization", "<authorization>")
.header("organization-id", "<organization-id>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["organization-id"] = '<organization-id>'
response = http.request(request)
puts response.read_body[
{
"id": 1,
"name": "Cash Account",
"slug": "cash-account",
"code": "1001",
"index": 1,
"accountType": "bank",
"accountTypeLabel": "Bank Account",
"parentAccountId": null,
"predefined": false,
"currencyCode": "USD",
"active": true,
"bankBalance": 5000,
"bankBalanceFormatted": "$5,000.00",
"lastFeedsUpdatedAt": "2024-03-20T10:30:00Z",
"lastFeedsUpdatedAtFormatted": "Mar 20, 2024 10:30 AM",
"amount": 5000,
"formattedAmount": "$5,000.00",
"plaidItemId": "plaid-item-123",
"plaidAccountId": "plaid-account-456",
"isFeedsActive": true,
"isSyncingOwner": true,
"isFeedsPaused": false,
"accountNormal": "debit",
"accountNormalFormatted": "Debit",
"flattenName": "Assets: Cash Account",
"accountLevel": 2,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:30:00Z"
}
]Headers
Query Parameters
Response
200 - application/json
The accounts have been successfully retrieved.